> For the complete documentation index, see [llms.txt](https://api.docs.fan/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.fan/profile/preferences/lookup.md).

# Lookup

Use this endpoint to fetch the current preferences for a profile.

### Required Scopes

`account:read`

## Request

### URL

`GET /v2/profile/{ID}/preferences`

### Path Parameters

| Name | Required | Description                                                                                                                            |
| ---- | -------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `ID` | true     | Unique FanID for the customer's account (tenant-specific). This value is a property of the ID Token returned in the SSO login process. |

### Headers

<table><thead><tr><th width="177">Name</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td>User access token from the code exchange.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="280">Name</th><th>Description</th></tr></thead><tbody><tr><td>preferred_name</td><td>The customer's preferred display name.</td></tr><tr><td>preferred_username</td><td>The customer's preferred username.</td></tr><tr><td>preferred_language</td><td>The customer's preferred language.</td></tr><tr><td>preferred_tshirt_size</td><td>The customer's preferred t-shirt size.</td></tr><tr><td>avatar_url</td><td>URL of the customer's avatar image.</td></tr><tr><td>receiving_gifts_from_fanatics</td><td>Whether the customer has opted in to receiving gifts from Fanatics.</td></tr><tr><td>fanatics_one_opt_in</td><td>Whether the customer has opted in to FanaticsONE. Deprecated in favor of the per-tenant opt-in map.</td></tr><tr><td>fanatics_one_opt_in_by_tenant</td><td>Map of tenant id to FanaticsONE opt-in status, e.g. <code>{"100001": true, "100002": false}</code>.</td></tr></tbody></table>

## Full Spec

{% openapi src="/files/Rvz5AclbuaMMsKqc2MTO" path="/v2/profile/{ID}/preferences" method="get" %}
[openapi-profile-gw.json](https://3657007978-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1G9XmPfyfOHS6i6FdlzL%2Fuploads%2Fgit-blob-a68e994e124ac5da5f3535adc09057feef8b39a3%2Fopenapi-profile-gw.json?alt=media)
{% endopenapi %}
